View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
14897Bug reportsUser / Groups / Rolespublic2021-07-21 17:22
Reporterfradeff Assigned Togabrieljenik  
PriorityhighSeveritypartial_block 
Status resolvedResolutionfixed 
Product Version3.17.x 
Summary14897: Edit theme permissions: option "All themes" not working
DescriptionWhen I try to allow option "All themes" on .../index.php/admin/user/sa/setusertemplates to a given survey administrator, nothing happens:

- the list of other themes remains unclicked
- the given survey administrator has no access to the themes
- when I return to the page, the option "All themes" remains unclicked
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)Version 3.17.2
I will donate to the project if issue is resolvedNo
BrowserFF 66.0.5 (64 bits)
Database & DB-Versionmysqlnd 5.0.12-dev
Server OS (if known)Ubuntu LTS 18.04
Webserver software & version (if known)Apache 2.0
PHP VersionPHP Version 7.0.33-0+deb9u3

Activities

fradeff

fradeff

2019-05-15 09:07

reporter  

cdorin

cdorin

2019-08-13 14:54

manager   ~53169

@LouisGac - notification :)
jelo

jelo

2019-08-13 14:55

partner   ~53170

Last edited: 2021-06-01 16:23

3.17.9+190731 is showing that behavior too.
jelo

jelo

2019-09-02 17:56

partner   ~53395

Last edited: 2021-06-01 16:23

Version 3.17.14+190902 is still showing that behavior.
gabrieljenik

gabrieljenik

2021-06-01 16:23

manager   ~64689

Last edited: 2021-06-01 16:23

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1903
The event being trapped is for bootstrap switch, and the controls are regular checkboxes.
Adapted the event to match regular checkboxes
gabrieljenik

gabrieljenik

2021-06-02 14:32

manager   ~64714

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31936

Related Changesets

LimeSurvey: 3.x-LTS 8a1ec6ec

2021-06-02 14:22:05

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 14897: Edit theme permissions: option 'All themes' not working (#1903)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
14897
mod - assets/scripts/admin/users.js Diff File

Issue History

Date Modified Username Field Change
2019-05-15 09:07 fradeff New Issue
2019-05-15 09:07 fradeff File Added: screenshot-radeff.red-2019.05.15-09-00-58.png
2019-05-15 17:18 dominikvitt Assigned To => dominikvitt
2019-05-15 17:18 dominikvitt Status new => assigned
2019-05-15 17:23 dominikvitt Assigned To dominikvitt => LouisGac
2019-08-13 14:54 cdorin Note Added: 53169
2019-08-13 14:55 jelo Note Added: 53170
2019-09-02 17:56 jelo Note Added: 53395
2019-11-01 17:26 c_schmitz Category User/User groups => User / Groups / Roles
2021-03-10 22:59 ollehar Priority none => high
2021-03-10 22:59 ollehar Severity minor => partial_block
2021-05-28 15:38 gabrieljenik Assigned To LouisGac => gabrieljenik
2021-06-01 16:23 gabrieljenik Note Added: 64689
2021-06-01 16:23 gabrieljenik Status assigned => testing
2021-06-02 14:32 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS 8a1ec6ec
2021-06-02 14:32 gabrieljenik Note Added: 64714
2021-06-02 14:32 gabrieljenik Resolution open => fixed
2021-07-12 10:06 guest Bug heat 8 => 6
2021-07-15 14:52 gabrieljenik Bug heat 6 => 8
2021-07-15 14:55 guest Bug heat 8 => 6
2021-07-21 17:20 ollehar Bug heat 6 => 8
2021-07-21 17:22 ollehar Status testing => resolved
2021-07-21 17:24 guest Bug heat 8 => 6
2021-07-21 17:25 ollehar Bug heat 6 => 8
2021-07-21 17:51 guest Bug heat 8 => 6
2021-07-21 17:52 DenisChenu Bug heat 6 => 8
2021-07-21 17:52 guest Bug heat 8 => 6
2021-07-22 09:52 DenisChenu Bug heat 6 => 8
2021-07-22 09:52 guest Bug heat 8 => 6
2021-07-22 12:21 galads Bug heat 6 => 8
2021-07-22 12:23 guest Bug heat 8 => 6
2021-07-22 12:41 galads Bug heat 6 => 8
2021-07-22 12:45 guest Bug heat 8 => 6
2021-07-22 12:59 galads Bug heat 6 => 8
2021-07-22 12:59 guest Bug heat 8 => 6
2021-07-22 13:02 galads Bug heat 6 => 8
2021-07-22 13:03 guest Bug heat 8 => 6
2021-07-22 13:06 galads Bug heat 6 => 8
2021-07-22 13:06 guest Bug heat 8 => 6
2021-07-22 13:08 galads Bug heat 6 => 8
2021-07-22 13:09 guest Bug heat 8 => 6
2021-07-22 13:17 galads Bug heat 6 => 8
2021-07-22 13:21 guest Bug heat 8 => 6
2021-07-22 13:23 galads Bug heat 6 => 8
2021-07-22 13:23 guest Bug heat 8 => 6
2021-07-22 13:28 galads Bug heat 6 => 8
2021-07-22 13:28 guest Bug heat 8 => 6
2021-07-22 13:28 galads Bug heat 6 => 8
2021-07-22 13:28 guest Bug heat 8 => 6
2021-07-22 13:29 galads Bug heat 6 => 8
2021-07-22 13:29 guest Bug heat 8 => 6
2021-07-22 13:32 galads Bug heat 6 => 8
2021-07-22 13:33 guest Bug heat 8 => 6
2021-07-22 13:35 galads Bug heat 6 => 8
2021-07-22 13:36 guest Bug heat 8 => 6
2021-07-22 13:36 galads Bug heat 6 => 8
2021-07-22 13:40 guest Bug heat 8 => 6
2021-07-23 08:13 DenisChenu Bug heat 6 => 8
2021-07-23 08:15 guest Bug heat 8 => 6
2021-07-23 12:54 galads Bug heat 6 => 8
2021-07-23 12:54 guest Bug heat 8 => 6
2021-07-23 13:24 galads Bug heat 6 => 8
2021-07-23 13:25 guest Bug heat 8 => 6
2021-07-23 13:54 galads Bug heat 6 => 8
2021-07-23 13:56 guest Bug heat 8 => 6
2021-07-23 14:24 galads Bug heat 6 => 8
2021-07-23 14:25 guest Bug heat 8 => 6
2021-07-23 14:54 galads Bug heat 6 => 8
2021-07-23 14:54 guest Bug heat 8 => 6
2021-07-23 15:24 galads Bug heat 6 => 8
2021-07-23 15:25 guest Bug heat 8 => 6
2021-07-23 15:54 galads Bug heat 6 => 8
2021-07-23 15:55 guest Bug heat 8 => 6
2021-07-23 16:24 galads Bug heat 6 => 8
2021-07-23 16:24 guest Bug heat 8 => 6
2021-07-23 16:54 galads Bug heat 6 => 8
2021-07-23 16:56 mazzolinim Bug heat 8 => 6
2021-07-23 17:24 galads Bug heat 6 => 8
2021-07-23 17:26 guest Bug heat 8 => 6
2021-07-23 17:49 ollehar Bug heat 6 => 8
2021-07-23 17:49 guest Bug heat 8 => 6
2021-07-23 17:54 galads Bug heat 6 => 8
2021-07-23 17:54 guest Bug heat 8 => 6
2021-07-23 18:24 galads Bug heat 6 => 8
2021-07-23 18:26 guest Bug heat 8 => 6
2021-07-23 18:31 DenisChenu Bug heat 6 => 8
2021-07-23 18:31 guest Bug heat 8 => 6
2021-07-23 18:31 DenisChenu Bug heat 6 => 8
2021-07-23 18:32 guest Bug heat 8 => 6
2021-07-23 18:54 galads Bug heat 6 => 8
2021-07-23 18:55 guest Bug heat 8 => 6
2021-07-23 19:24 galads Bug heat 6 => 8
2021-07-23 19:25 guest Bug heat 8 => 6
2021-07-23 19:54 galads Bug heat 6 => 8
2021-07-23 19:54 guest Bug heat 8 => 6
2021-07-23 20:24 galads Bug heat 6 => 8
2021-07-23 20:25 guest Bug heat 8 => 6